Name:			finlib
Version:		2.19.3
Release:		2%{?dist}
Summary:		Fast Indexing Library

Group:			Development/Libraries
License:		GPLv2+
URL:			http://nlp.fi.muni.cz/trac/ske_lite/
Source0:		http://corpora.fi.muni.cz/ske_lite/src/finlib/%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc-c++
BuildRequires:	pcre-devel >= 8.10

Requires:		pcre >= 8.10

%description
Finlib is an abbreviation from Fast Indexing Library, a library used in manatee
for indexing text corpora.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:   %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package static
Summary:	Finlib static libraries
Group:		Development/Libraries

Requires:   %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for Finlib.

%prep
%setup -q

%build
%configure --with-pcre --with-gnu-ld
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS README
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*
%{_libdir}/*.so

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri Aug 31 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.3-2
- rebuilt

* Fri Aug 31 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.3-1
- Update to 2.19.3

* Wed Aug 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.1-1
- Update to 2.19.1

* Wed Jul 18 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19-1
- Update to 2.19

* Fri Jun 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.18-2
- rebuilt

* Fri Jun 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.18-1
- Update to 2.18

* Thu May 10 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.17.1-1
- Update to 2.17.1

* Wed Mar 14 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.17-1
- Update to 2.17

* Wed Mar 07 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.16-1
- Update to 2.16

* Wed Feb 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.15.1-1
- Update to 2.15.1

* Sat Feb 18 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.15-1
- Update to 2.15

* Wed Feb 08 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-4
- rebuilt

* Wed Feb 08 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-3
- rebuilt

* Tue Feb 07 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-2
- rebuilt

* Mon Feb 06 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-1
- Update to 2.14

* Thu Dec 01 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-4
- rebuilt

* Thu Dec 01 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-3
- Ship static libs in -static subpackage.

* Wed Oct 05 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-3
- rebuilt

* Thu Sep 29 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-2
- rebuilt

* Tue Sep 27 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-1
- Update to 2.13

* Sat Sep 17 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.5-2
- rebuilt

* Sat Sep 17 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.5-1
- Update to 2.12.5

* Fri Aug 05 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.4-1
- Update to 2.12.4

* Thu Aug 04 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.3-1
- Update to 2.12.3

* Thu Aug 04 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.4-1
- Update to 2.12.4

* Tue Jun 28 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.12.3-1
- Update to 2.12.3

* Mon Apr 11 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.12.2-1
- Update to 2.12.2
- R: pcre-devel >= 8.10

* Thu Mar 10 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.12.1-1
- Update to 2.12.1

* Thu Mar 10 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.12-1
- Update to 2.12

* Tue Oct 26 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.11-1
- Update to 2.11, do not bootstrap => remove BR: automake, autoconf
- Remove rpaths

* Tue Apr 27 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.10-1
- Update to 2.10

* Mon Apr 26 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.07a-1
- Update to virtual 2.07a supporting nested structures
- Use xz instead of bz2
- Drop gcc 4.3 patch (merged upstream)

* Thu Sep 24 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.07-1
- Update to 2.07
- Use tar.bz2
- Build with ./bootstrap script => BR: automake, autoconf

* Wed Jul 01 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.06-2
- Split into -devel subpackage.

* Mon Jun 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.06-1
- Update to 2.06
- Updated gcc 4.3 patch
- Use original .tgz sources

* Tue Aug 05 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.94-1
- Initial release.
- Patched to build with gcc 4.3
- Installs the library.

